Skip to main content
POST
/
v1
/
chat
/
get
GetChat
curl --request POST \
  --url https://app.textql.com/v1/chat/get \
  --header 'Authorization: Bearer <token>' \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chatId": "<string>"
}
'
{
  "chat": {
    "id": "<string>",
    "paradigm": {
      "type": "TYPE_UNKNOWN",
      "version": 123,
      "options": {
        "basic": {}
      }
    },
    "model": "MODEL_UNKNOWN",
    "timestamp": "2023-11-07T05:31:56Z",
    "orgId": "<string>",
    "memberId": "<string>",
    "summary": "<string>",
    "playbookId": "<string>",
    "research": true,
    "creatorEmail": "<string>",
    "apiKeyClientId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "isBookmarked": true,
    "preferredProvider": "<string>",
    "templateDataId": "<string>",
    "batchRunId": "<string>",
    "preview": "<string>",
    "dashboardMode": true,
    "source": "CHAT_SOURCE_UNKNOWN",
    "methodology": "METHODOLOGY_UNKNOWN"
  },
  "messages": [
    {
      "role": "<string>",
      "content": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "assets": [
    {
      "target": "<string>",
      "previewType": "<string>",
      "name": "<string>",
      "url": "<string>",
      "content": "<string>",
      "error": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connect-Protocol-Version
enum<number>
required

Define the version of the Connect protocol

Available options:
1
Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
chatId
string

Response

Success

chat
chat · object
messages
ChatMessage · object[]
assets
PreviewCell · object[]